Bug 444863 - Nm-applet crash after disable/enable network
Nm-applet crash after disable/enable network
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 07:00 EDT by Adrian "Adi1981" P.
Modified: 2008-05-04 11:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-04 11:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gbb backtrace (5.03 KB, application/octet-stream)
2008-05-01 07:00 EDT, Adrian "Adi1981" P.
no flags Details

  None (edit)
Description Adrian "Adi1981" P. 2008-05-01 07:00:06 EDT
Description of problem:
If i will disable, with right click on nm-applet, network and then will try to
enable it once again, nm-applet will crash (icon disappear from systray). I've
tried to trace it in gdb, but i'm not sure which breakpoint i should call before
bt, i've set it to nma_set_networking_enabled_cb, if there should be some other
then let me know, i'll reproduce this with correct one. I'm attaching backtrace
from gdb with nma_set_networking_enabled_cb.


Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.2.svn3614.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. rmc on nm-applet
2. click disable network
3. rmc on nm-applet
4. enable network
  
Actual results:
nm-applet crash

Expected results:
starting network service

Additional info:
Run from non root user on kde 4.
Comment 1 Adrian "Adi1981" P. 2008-05-01 07:00:06 EDT
Created attachment 304302 [details]
gbb backtrace
Comment 2 Adrian "Adi1981" P. 2008-05-03 20:23:09 EDT
Seems, that with NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 it's been fixed. I
can't crash nm-applet for now.
Comment 3 Dan Williams 2008-05-04 11:35:57 EDT
ok, thanks!

Note You need to log in before you can comment on or make changes to this bug.